org.apache.uima.cas.impl

## Class DebugFSLogicalStructure

- java.lang.Object
- - org.apache.uima.cas.impl.DebugFSLogicalStructure

-     public class DebugFSLogicalStructure
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DebugFSLogicalStructure.IndexInfo` Class holding information about an FSIndex Includes the "label" of the index, and a ref to the CAS this index contents are in.
    `static class` | `DebugFSLogicalStructure.ViewInfo` Class holding info about a View/Sofa.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugFSLogicalStructure()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `floatListToArray(FeatureStructure fs)`
    `static Object` | `fsListToArray(FeatureStructure fs)`
    `static Object` | `getDebugLogicalStructure_Features(AnnotationFS fs)`
    `static Object` | `getDebugLogicalStructure_FeatureStructure(FeatureStructure fs)`
    `static FeatureStructure[]` | `getDebugLogicalStructure_SubAnnotations(AnnotationFS fs)`
    `static DebugFSLogicalStructure.IndexInfo[]` | `getIndexes(CAS cas)`
    `static DebugFSLogicalStructure.ViewInfo[]` | `getOtherViews(CAS cas)`
    `static Object` | `integerListToArray(FeatureStructure fs)`
    `static Object` | `stringListToArray(FeatureStructure fs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugFSLogicalStructure

          public DebugFSLogicalStructure()

  - ### Method Detail

    - #### getDebugLogicalStructure_FeatureStructure

          public static Object getDebugLogicalStructure_FeatureStructure(FeatureStructure fs)

    - #### getDebugLogicalStructure_Features

          public static Object getDebugLogicalStructure_Features(AnnotationFS fs)

    - #### getDebugLogicalStructure_SubAnnotations

          public static FeatureStructure[] getDebugLogicalStructure_SubAnnotations(AnnotationFS fs)

    - #### getIndexes

          public static DebugFSLogicalStructure.IndexInfo[] getIndexes(CAS cas)

    - #### getOtherViews

          public static DebugFSLogicalStructure.ViewInfo[] getOtherViews(CAS cas)

    - #### floatListToArray

          public static Object floatListToArray(FeatureStructure fs)

    - #### integerListToArray

          public static Object integerListToArray(FeatureStructure fs)

    - #### stringListToArray

          public static Object stringListToArray(FeatureStructure fs)

    - #### fsListToArray

          public static Object fsListToArray(FeatureStructure fs)

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.